Bug 2907 - [4.1] spurious message in error_log while startup
: [4.1] spurious message in error_log while startup
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/apache)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-08-31 03:49 by
Modified: 2008-01-30 01:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-08-31 03:49:00
to eliminate this warning

[Sun Aug 31 02:45:37 2003] [warn] module mod_php4.c is already added, skipping

we'd better remove 

AddModule mod_php4.c

from /etc/httpd/conf/addon-modules/mod_php4.conf
------- Comment #1 From 2003-08-31 16:53:04 -------
$ grep ClearModuleList httpd.conf 
ClearModuleList

http://httpd.apache.org/docs/mod/core.html#clearmodulelist
http://httpd.apache.org/docs/mod/core.html#addmodule

This problem is not in the mod_php. This problem must be fixed in the apache
package.
------- Comment #2 From 2003-08-31 17:05:07 -------
not sure on that: last year googling seemed to show LoadModule would do
AddModule or kind of that (which seems to be less perversive way anyways)

anyway: removing it doesn't break mod_php and cleans up the log
:)
------- Comment #3 From 2003-08-31 17:49:22 -------
No, The LoadModule directive links in the object file or library filename and
adds the module structure named module to the list of active modules. The fix
you gave would cause problems if core httpd configuration is change. This may
have more serious problems than only warnings.

Please, contact with apache maintainer and discuss this problem with them. :)
------- Comment #4 From 2003-08-31 18:00:10 -------
Huh?  That seems to be me for now, that's it.
------- Comment #5 From 2003-08-31 18:31:07 -------
I'm know about it :)
I'm glad that you pay attention to this problem. This warning makes mod_ruby,
mod_ssl to. If you wish to make new scheme of loading DSO modules, write in the
devel maillist about it.
------- Comment #6 From 2003-08-31 18:33:17 -------
Yep, I know.  But that's on TODO after 1.3.28-alt1 is OK and propagated.
------- Comment #7 From 2003-08-31 18:50:47 -------
This is complex problem of few packages.
------- Comment #8 From 2006-02-17 20:19:52 -------
so be it
------- Comment #9 From 2006-02-17 20:20:58 -------
reassign
------- Comment #10 From 2006-04-21 16:01:07 -------
Лёш, вкратце -- что посоветуешь с пакетным httpd.conf сделать?
------- Comment #11 From 2006-06-26 00:59:45 -------
*** Bug 7012 has been marked as a duplicate of this bug. ***
------- Comment #12 From 2006-10-15 00:37:30 -------
хотя -- вряд ли это сейчас уже стоит ковырять :(
Вить, ты сюда не смотрел часом?
------- Comment #13 From 2006-10-15 01:52:54 -------
2 legion: называем улучшением и жду, пока ты объявишься в окрестностях, чтобы
вернуться к вопросу.
------- Comment #14 From 2006-10-18 01:46:15 -------
Багу можно пофиксить только если одновременно пересобрать апаче со всеми его
модулями.
Если все мантейнеры модулей выдадут мне NMU на них -- я проделаю эту работу.
------- Comment #15 From 2007-03-12 22:16:06 -------
(In reply to comment #14)
> Если все мантейнеры модулей выдадут мне NMU на них -- я проделаю эту работу.
Пошли в devel@ и попробуем исправить это к выходу, или уже пусть будет как будет?
------- Comment #16 From 2007-11-10 14:13:17 -------
Ну и не мешает оно никому.  Заминаю для ясности, мне тоже влом.